### Method

# FwupdPlugin Device add_instance_id_full

since: 1.2.9

#### Declaration [src]

    void
    fu_device_add_instance_id_full (
      FuDevice* self,
      const gchar* instance_id,
      FuDeviceInstanceFlags flags
    )

#### Description [src]

Adds an instance ID with all parameters set.

Available since: 1.2.9

#### Parameters

`instance_id`

  Type: `const gchar*`

  A instance ID, e.g. `WacomAES`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FuDeviceInstanceFlags`

  Instance ID flags.